%define distname %{name}-%{version}

Name:		mesa-demos
Version: 	8.2.0
Release: 	%mkrel 1
Summary:	Demos for Mesa (OpenGL compatible 3D lib)
Group:		Graphics
URL:	http://www.mesa3d.org
Source0:	ftp://ftp.freedesktop.org/pub/mesa/demos/%version/%{distname}.tar.xz
Source4:	Mesa-icons.tar.bz2
License:	MIT
#-------------------------------------------
BuildRequires: %{_lib}drm-devel
BuildRequires: %{_lib}freeglut-devel
BuildRequires: %{_lib}glew-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}x11-devel 
BuildRequires: %{_lib}xext-devel
BuildRequires: mesa-devel
BuildRequires: x11-proto-devel
#-------------------------------------------
Requires:	glxinfo = %{version}

%package -n	glxinfo
Summary:	Commandline GLX information tool
Group:		Graphics/Utilities
Conflicts:	mesa-demos < 7.7-4

%description
Mesa is an OpenGL 2.1 compatible 3D graphics library.

This package contains some demo programs for the Mesa library.

%description -n	glxinfo
Mesa is an OpenGL 2.1 compatible 3D graphics library.

This package contains the glinfo & glxinfo GLX information utility.

%prep
%setup -q -n %{distname}
%apply_patches
perl -pi -e "s,\"([^/].+?)\.(vert|geom|frag)\",\"%{_datadir}/%{name}/\$1.\$2\",g" src/*/*.c

%build
LIB_DIR=%{_lib}
INCLUDE_DIR=$RPM_BUILD_ROOT%{_includedir}
export LIB_DIR INCLUDE_DIR DRI_DRIVER_DIR

autoreconf -fvi
%configure2_5x --with-system-data-files
%make

%install
%makeinstall_std

cp -a src/*/*.{frag,vert,geom} %{buildroot}/%{_datadir}/%{name}

mv %{buildroot}/%{_bindir}/bitmap{,-gl}

pushd src/egl/opengl
for p in eglgears_screen eglgears_x11 eglinfo eglkms egltri_screen egltri_x11 peglgears xeglgears xeglthreads; do
    install -m755 $p %{buildroot}%{_bindir}
done
popd

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar jxvf %{SOURCE4} -C $RPM_BUILD_ROOT%{_iconsdir}

%files
%{_bindir}/*
%exclude %{_bindir}/glxinfo
%exclude %{_bindir}/glinfo
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_miconsdir}/*demos*.png
%{_iconsdir}/*demos*.png
%{_liconsdir}/*demos*.png

%files -n glxinfo
%{_bindir}/glxinfo
%{_bindir}/glinfo


%changelog
* Sun Apr 04 2015 bb <bb> 8.2.0-1pclos2015
- update for new glew

